Skip to content
Trade Risk

Update account risk limit config

This interface is used to update an existing risk limit configuration for a specified securities account. By providing the account number account_no, limit code limit_code, currency currency, and the new rejection threshold reject_limit, it modifies the existing risk limit rule for the account.

POSThttps://b-api.longbridge.xyz/v1/whaleapi/asset/update_account_risk_limit_config

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs